IFTOSS(8)

NAME
iftoss - Convert Fidonet FTN packets to RFC-822 and RFC-1036 mail/news.

Synopsis
iftoss [-h] [-N] [-x verbosity] [-I file]

Description
Iftoss converts Fidonet netmail packets into RFC-822 internet mail or RFC-1036 Usenet News. It expects a non-arcmail packet on stdin and passes converted mail messages and/or generated newsbatch to sendmail and/or rnews. If you specify -N, resultant messages/newsbatches will go to the directory "/tmp/ifmail" instead of being fed to sendmail/rnews.

Ifmail and iftoss programs try to preserve as much information as possible in "X-FTN-..." headers and "^ARFC-..." kludges, and restore messages more or less accurately to their original form when double-gatewaying.

If you make a system mail alias file accessible to the iftoss program, it makes attempt to "backward resolve" the "from" addresses, that is, if the originating address of the FidoNet message matches the right side of some mail alias, the "Reply-To:" header of the generated mail/news message will contain "alias@your.domain.name" address.

Message IDs are converted as follows: "^AMSGID: <address> <hexnum>" is converted to "<decimalnum>@<address>". If there was no MSGID in the fidonet message, messageid of the form <creation-time>@<from-address> is generated, so that when a single message is gatewayed in several distinct places, it will have the same messageid anyway (for some (little) risk of having two different messages with the same messageid). RFC822 Message-IDs are converted back when they can be, otherwise the messageid "<local>@<domain>" is converted to "^AMSGID <domain> crc32(<local>)". When an RFC message is split, unique MSGIDs are generated for all parts after the first one. In any case, the original "Message-ID:" header is preserved in the "^ARFC-Message-ID:" kludge and used if the message comes back to usenet on some (other) gateway.

OPTIONS
-h
Display a short help message.

-N
Put resutant messages/newsbatch to /tmp/ifmail, do not invoke sendmail/rnews.

-x verbosity
Set the debug verbosity. verbosity may be a number from 0 to 32 to set 'on' bits from 1 to number, or a string of letters where 'a' = bit 1, 'b' = bit 2, etc. up to bit 26.

-I File
Use the alternate configuration file File.

FILES
$IFLIBDIR/config
    Runtime configuration file.

SEE ALSO
ifcico(8), ifpack(8), ifunpack(8), ifmail(8)

Acknowledgements
Some ideas taken from Fidogate/RFmail package, written by Teemu Torma and hacked by Martin Junius. Some modeules taken from INN package. Thanks to Michael Bravo <mbravo@tctube.spb.su> (who was the first) and many others for testing.

1993, 1994 Eugene Crosser

This is free software. You can do what you wish with it as long as this copyright notice is preserved.